#ifndef RATIONAL_H
#define RATIONAL_H
#include <iostream>

class Rational {
public:
	//Rational();
	Rational(int num = 0, int den = 1);
	Rational(const Rational& org);
	Rational& operator=(const Rational& rhs);
	~Rational();
	void display(std::ostream& os) const;
	Rational operator/(const Rational& lhs) const;
private:
	int numer;
	unsigned int denom;
	void reduce();
};

#endif