#include "Rational.h"
#include <iostream>
#include <cassert>

/*Rational::Rational() {
	numer = 0;
	denom = 1;
}*/

Rational::Rational(int num, int den) : numer(num)
{
	if(den<0) {
		numer *= -1;
		denom = -1 * den;
	} else {
		denom = den;
	}
	reduce();
}

Rational::Rational(const Rational& org) {
	numer = org.numer;
	denom = org.denom;
}

Rational& Rational::operator=(const Rational& rhs) {
	if(this!=&rhs) {
		numer = rhs.numer;
		denom = rhs.denom;
	}
	return *this;
}

Rational::~Rational() {
}

void Rational::display(std::ostream& os) const {
	os << numer << '/' << denom;
}

Rational Rational::operator/(const Rational& lhs) const {
	assert(lhs.denom!=0);
	Rational retVal(numer*lhs.denom, denom*lhs.numer);
	return retVal;
}

void Rational::reduce() {
}